// vim: set tw=80 ts=2 sw=2 sts=2 :
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Rx';

import { HttpClient, HttpParams } from "@angular/common/http";

import { AccountBalances } from './accountBalances';

@Injectable()
export class AccountBalancesService {
  constructor(
    private http: HttpClient
  ) {}

  get(id: number): Observable<AccountBalances> {
    return this.http.get<AccountBalances>(`/api/account/${id}/balances`);
  }
}
